Full registration workflow model
Status: Closed Start date:

Priority: New Due date:

Assignee: Wolf-Henning Kusber % Done: 100%
Category: Workflow Estimated time: 0:00 hour
Target version: Technical planning completed

Description

Model the full registration workflow.

e An excellent BPMN Documentation is found at: https://camunda.org/bpmn/reference/
e Camunda also offers a excellent free BPMN editor: https://camunda.org/download/modeler/

While being processed in the workflow a registration record can have one of multiple states:
¢ preparation: A new record which is being edited by the Author

e curation: A record ready for the curator to be validated.

¢ ready: The record has passed the validation by the curator and is ready for publication.

¢ published: The name or typification has finally been published. This state will either be set manually or automatically by the
system once the state is ready and when the datePublished and pages of the related Reference is set. For new publications
(datePublished >= 2000-01-01) the doi should also be mandatory.

¢ rejected: The registration has been rejected, the process is aborted and the record is preserved.

The BPMN file of the workflow is located in the PhycoBank github repository: AlgenRegistrierungsWorkflow.bpmn

Subtasks:

task # 6011: Identifier-Workflow Closed
Related issues:

Related to PhycoBank - task #6044: cdm model changes/entensions for algea reg... Closed

Related to EDIT - task #6258: Add Registration to cdm model Closed

Related to PhycoBank - task #7012: Workflow with Pensoft In Progress

Blocked by EDIT - bug #7528: Allow changing the Registration status in the Re... Closed

Blocks EDIT - feature request #6655: Implement a RegistrationManager with sta... Rejected

History

#1 - 10/27/2016 11:05 AM - Andreas Kohlbecker
- File AlgenRegistrierungsWorkflow.bpmn added

#2 - 10/27/2016 11:05 AM - Andreas Kohlbecker
Latest version of the BPMN model added.

#3 - 10/27/2016 12:31 PM - Andreas Kohlbecker

- Related to task #6044: cdm model changes/entensions for algea registry added

#4 - 10/27/2016 12:36 PM - Andreas Kohlbecker

- Description updated

#5 - 10/27/2016 12:38 PM - Andreas Kohlbecker

- Description updated

#6 - 11/07/2016 04:38 PM - Andreas Kohlbecker
- File AlgenRegistrierungsWorkflow.bpmn added
Adding subprocess for editing existing records by data curation to workflow diagram

#7 - 11/07/2016 04:38 PM - Andreas Kohlbecker
- File deleted (AlgenRegistrierungs Workflow.bpmn)

#8 - 12/08/2016 11:07 AM - Andreas Miiller
- Related to task #6258: Add Registration to cdm model added

#9 - 12/08/2016 11:46 AM - Andreas Kohlbecker
- Description updated

#10 - 10/10/2017 03:18 PM - Andreas Kohlbecker
- Description updated

#11 - 10/10/2017 03:20 PM - Andreas Kohlbecker

- Description updated

#12 - 10/10/2017 03:20 PM - Andreas Kohlbecker

- Description updated

#13 - 10/10/2017 03:21 PM - Andreas Kohlbecker

- Status changed from New to In Progress

#14 - 07/04/2018 02:57 PM - Andreas Kohlbecker
- Blocked by bug #7528: Allow changing the Registration status in the RegistrationWorkingsetEditor added

#15 - 07/04/2018 02:58 PM - Andreas Kohlbecker

- Blocks feature request #6655: Implement a RegistrationManager with state machine added

#16 - 08/22/2019 11:44 AM - Andreas Kohlbecker

- Description updated

#17 - 08/22/2019 12:16 PM - Andreas Kohlbecker

- Description updated

#18 - 08/22/2019 12:18 PM - Andreas Kohlbecker
- File deleted (AlgenRegistrierungsWorkflow.bpmn)

#19 - 09/03/2019 04:16 PM - Andreas Kohlbecker

- Status changed from In Progress to Closed

#20 - 03/01/2023 02:27 PM - Andreas Miiller
- Related to task #7012: Workflow with Pensoft added
